Package com.collabnet.ce.soap60.webservices.tracker

# Class Tracker3SoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
com.collabnet.ce.soap60.webservices.tracker.Tracker3SoapDO

public class Tracker3SoapDO extends FolderSoapDO
A Tracker is a collection of one or more tracker artifacts.
Change History
Release: 6.1

- Added icon field.

Release: 6.2

- Added tracker unit.

Release: 8.0

- Added autosum foreign children.

Since:
  4.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tracker3SoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SoapNamedValues`
  `getAssignments()`
  Returns 'assignments'.
  `String`
  `getAutoAssignField()`
  Returns 'autoAssignField'.
  `boolean`
  `getAutosumForeignChildren()`
  Returns 'autosumForeignChildren'.
  `String`
  `getIcon()`
  Returns 'icon'.
  `String`
  `getTrackerUnitId()`
  Returns 'trackerUnitId'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setAssignments(SoapNamedValues assignments)`
  Sets 'assignments'.
  `void`
  `setAutoAssignField(String autoAssignField)`
  Sets 'autoAssignField'.
  `void`
  `setAutosumForeignChildren(boolean autosumForeignChildren)`
  Sets 'autosumForeignChildren'.
  `void`
  `setIcon(String icon)`
  Sets 'icon'.
  `void`
  `setTrackerUnitId(String trackerUnitId)`
  Sets 'trackerUnitId'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  `getDescription, getParentFolderId, getPath, getProjectId, getTitle, setDescription, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Tracker3SoapDO

    public Tracker3SoapDO()

- ## Method Details

  - ### getAutoAssignField

    public String getAutoAssignField()
    Returns 'autoAssignField'.
    Returns:
      Value of 'autoAssignField'.

  - ### setAutoAssignField

    public void setAutoAssignField(String autoAssignField)
    Sets 'autoAssignField'.
    Parameters:
      `autoAssignField` - Value of 'autoAssignField'.

  - ### getAssignments

    public SoapNamedValues getAssignments()
    Returns 'assignments'.
    Returns:
      Value of 'assignments'.

  - ### setAssignments

    public void setAssignments(SoapNamedValues assignments)
    Sets 'assignments'.
    Parameters:
      `assignments` - Value of 'assignments'.

  - ### getIcon

    public String getIcon()
    Returns 'icon'. Accepted pattern for Tracker Icon argument are 1. A String following the format "icon_" + decimal_digit + decimal_digit + ".png" [ex: icon_01.png , icon_99.png] 2. A null value.
    Returns:
      Value of 'icon'.

  - ### setIcon

    public void setIcon(String icon)
    Sets 'icon'. Accepted pattern for Tracker Icon argument are 1. A String following the format "icon_" + decimal_digit + decimal_digit + ".png" [ex: icon_01.png , icon_99.png] 2. A null value.
    Parameters:
      `icon` - Value of 'icon'.

  - ### getTrackerUnitId

    public String getTrackerUnitId()
    Returns 'trackerUnitId'. The tracker unit id.
    Returns:
      Value of 'trackerUnitId'.

  - ### setTrackerUnitId

    public void setTrackerUnitId(String trackerUnitId)
    Sets 'trackerUnitId'. The tracker unit id.
    Parameters:
      `trackerUnitId` - Value of 'trackerUnitId'.

  - ### getAutosumForeignChildren

    public boolean getAutosumForeignChildren()
    Returns 'autosumForeignChildren'. The flag indicating whether the autosum calculation of effort and points includes children from foreign projects.
    Returns:
      Value of 'autosumForeignChildren'.

  - ### setAutosumForeignChildren

    public void setAutosumForeignChildren(boolean autosumForeignChildren)
    Sets 'autosumForeignChildren'. The flag indicating whether the autosum calculation of effort and points includes children from foreign projects.
    Parameters:
      `autosumForeignChildren` - Value of 'autosumForeignChildren'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)